Subject: Re: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Robert LeChevalier <[email-masked]>
Date: Wed, 29 Jan 2003 21:47:50 -0500

At 09:42 AM 1/29/03 -0800, Robin Lee Powell wrote:
>On Wed, Jan 29, 2003 at 10:20:42AM +0000, Martin Bays wrote:
> > On Tue, 28 Jan 2003, Robert LeChevalier wrote:
> > >
> > > For the original question - union as an operator would probably be
> > > "jorne bu". I'll let someone else figuire out intersection.
> > >
> >
> > That's good... but we still need different operators for finite union
> > and union over a set. I guess we could use {ma'o brajo'e bu} for the
> > second, in keeping with the "read symbols as letterals idea", and use
> > nu'a to get the corresponding selbri...
> >
> > But I think it would be nicer to make lujvo with the right definitions
> > (as we did earlier), then use either na'u or ma'o ... bu to get the
> > operators.
>
>Dumb question: why are you guys adding bu? So you can use ma'o? I
>guess the idea is that we're verbally representing the visual symbol?

Correct.

We have 8 different constructs in play here:
lerfu strings
quantifiers
operands
operators
MEX expressions
sumti
brivla
subscripts

Each one of them can be converted to or incorporated into one of the others 
in a variety of ways that are more or less highly-marked. The problem is 
that people want to use lerfu as symbols or abbreviations for all of them.

We should probably come up with a canonical list of all the conversions 
that people might want to make in order to use Mex effectively. The BNF 
has it all there, but doesn't show the intent of the design. Someone wanna 
start a wiki page?

lojbab

-- 
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org